# class Tk::Iwidgets::Toolbar

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

add(type, tag=nil, keys={}) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 72
    def add(type, tag=nil, keys={})
      if tag.kind_of?(Hash)
        keys = tag
        tag = nil
      end
      if tag
        tag = Tk::Itk::Component.new(self, tagid(tag))
      else
        tag = Tk::Itk::Component.new(self)
      end
      window(tk_call(@path, 'add', type, tagid(tag), *hash_kv(keys)))
      tag
    end

delete(idx1, idx2=nil) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 86
    def delete(idx1, idx2=nil)
      if idx2
        tk_call(@path, 'delete', index(idx1), index(idx2))
      else
        tk_call(@path, 'delete', index(idx1))
      end
      self
    end

index(idx) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 95
    def index(idx)
      number(tk_call(@path, 'index', tagid(idx)))
    end

insert(idx, type, tag=nil, keys={}) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 99
    def insert(idx, type, tag=nil, keys={})
      if tag.kind_of?(Hash)
        keys = tag
        tag = nil
      end
      if tag
        tag = Tk::Itk::Component.new(self, tagid(tag))
      else
        tag = Tk::Itk::Component.new(self)
      end
      window(tk_call(@path, 'insert', index(idx), type,
                     tagid(tag), *hash_kv(keys)))
      tag
    end

tagid(tagOrId) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 46
    def tagid(tagOrId)
      if tagOrId.kind_of?(Tk::Itk::Component)
        tagOrId.name
      else
        #_get_eval_string(tagOrId)
        tagOrId
      end
    end

### Private Instance Methods

__font_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/toolbar.rb, line 67
    def __font_optkeys
      super() << 'balloonfont'
    end

__item_cget_cmd(id) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 31
    def __item_cget_cmd(id)
      [self.path, 'itemcget', self.index(id)]
    end

__item_config_cmd(id) click to toggle source

    # File lib/tkextlib/iwidgets/toolbar.rb, line 36
    def __item_config_cmd(id)
      [self.path, 'itemconfigure', self.index(id)]
    end

__item_strval_optkeys(id) click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/toolbar.rb, line 41
    def __item_strval_optkeys(id)
      super(id) << 'helpstr' << 'balloonstr'
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/toolbar.rb, line 57
    def __strval_optkeys
      super() << 'balloonbackground' << 'balloonforeground'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/toolbar.rb, line 22
    def __tkvariable_optkeys
      super() << 'helpvariable'
    end